IOBank Class Reference

`#include <IOBank.h>`

Inheritance diagram for IOBank:

## Public Member Functions

void | setBank (int num, Bank *bank)
Bank * | getBank (int num) const
uint8_t | peek (uint_least16_t addr)
void | poke (uint_least16_t addr, uint8_t data)

## Detailed Description

IO region handler. 4k region, 16 chips, 256b banks.

Located at $D000-$DFFF

Author
  Antti Lankila

## Member Function Documentation

uint8_t IOBank::peek | ( | uint_least16_t | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements Bank.

void IOBank::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements Bank.

The documentation for this class was generated from the following file:

- IOBank.h